﻿{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{* <!-- Tabs for admin page surfing --> *} {*
<ul class = "tabsheet">
  <li class = "selected_tab">
    <a href = "??...">
      <span>{'ec_tab_autoid'|@translate}</span>
    </a>
  </li>
  <li class = "normal_tab">
    <a href = "??...">
      <span>{'ec_tab_config'|@translate}</span>
    </a>
  </li>
</ul> *}

{* <!-- Help button --> *} {*
<ul class = "HelpActions">
  <li>
    <a href = "aide" onclick = "popuphelp(this.href); return false;" title = "{'ec_help'|@translate}" style = "margin-top: -28px;" >
      <img src = "{$ROOT_URL}{$themeconf.admin_icon_dir}/help.png" class = "button" alt = "(?)" />
    </a>
  </li>
</ul> *}

{* <!-- Page title --> *}
<div class = "titrePage" style="margin-top: -20px;">
  <h2>{'ec_admin_page_title'|@translate} {$EVNTCATS_VERSION}</h2>
</div>

{* <!-- JavaScript warning message --> *}
<div id = "ec_js_warn">
  {'ec_javascript_needed'|@translate}<br><br>
</div>
<script type = "text/javascript"><!-- // Removes JavaScript warning message
  document.getElementById('ec_js_warn').innerHTML = ''; //-->
</script>

{* <!-- Upper banner : infos, errors... --> *}
{if $ec_howto}
  <div>
    {'ec_admin_page_howto'|@translate}
  </div>
{/if}

<p>
  <hr width = 75% size = 3 />
</p>

{* <!-- First section : form to view and modify codes, or create a new one --> *}
<form class = "filter" method = "post" name = "ec_up_code" action = "">
  
  <div style = "text-align:right; font-style:italic;">
    {if $ec_ap_ok}
      {'ec_plugin_ap_ok'|@translate}
      <script type = "text/javascript"><!--
        var ec_ap_ok = true; //-->
      </script>
    {else}
      {'ec_plugin_ap_nok'|@translate}
      <script type = "text/javascript"><!--
        var ec_ap_ok = false; //-->
      </script>
    {/if}
  </div>
  
  <div style = "text-align:center; font-weight:bold; font-size:120%;">{'ec_entry_table_title'|@translate}</div><br>
  
  <table class = "table2" width = "97%"> {* <!-- Table to show codes present in MySQL table --> *}
    <thead>
      <tr class = "throw">
        <td>{'ec_col_name_entry'|@translate}</td>
        <td>{'ec_col_name_code'|@translate}</td>
        <td>{'ec_col_name_user'|@translate}</td>
        <td>{'ec_col_name_bhvr'|@translate}</td>
        <td>{'ec_col_name_dspl'|@translate}</td>
        <td>{'ec_col_name_actn'|@translate}</td>
      </tr>
    </thead>
    
    {foreach from=$code_list item=code_line name=code_loop}
      <tr class = "{if $smarty.foreach.code_loop.index is odd}row1{else}row2{/if}">
        <td>
          <input type = "radio" name = "ec_entry_sel" value = "{$code_line.id}" id = "selection-{$code_line.id}"
           onclick = "ec_mark_line({$code_line.id});"
          />
          <label for = "selection-{$code_line.id}">&nbsp;{$code_line.id}</label>
        </td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Code}</label></td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Username}</label></td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Action|@translate}</label></td>
        <td><label for = "selection-{$code_line.id}">{$code_line.Arg1}</label></td>
        <td>
          <a
           href = "{$code_line.code_URL}" title = "{'ec_test_tooltip'|@translate}"
           name = "ec_code_URL" onclick = "return ec_check_tst({$code_line.id});"
          />
            <img src = "{$EVNTCATS_URLS.ROOT}icon/url2.png" class = "button" style = "border:none"
             alt = "{'ec_test_tooltip'|@translate}" title = "{'ec_test_tooltip'|@translate}" />
          </a>
          &nbsp;
          <a href = "javascript:void()" onclick = "return ec_check_del({$code_line.id});">
     {* envoi formulaire par JS : document.forms[nom_formulaire].submit() ( http://www.toutjavascript.com/reference/reference.php?iref=178 ) *}
            <img src = "{$EVNTCATS_URLS.ROOT}icon/delete.png" class = "button" style = "border:none"
             alt = "{'ec_url_delete'|@translate}" title = "{'ec_url_delete'|@translate}" />
          </a>
          {if $code_line.log_OK}
            &nbsp;
            <a href = "javascript:void()" onclick = "return ec_check_dis({$code_line.id});">
              <img src = "{$EVNTCATS_URLS.ROOT}icon/disable.png" class = "button" style = "border:none"
               alt = "{'ec_url_disable'|@translate}" title = "{'ec_url_disable'|@translate}" />
            </a>
            {if $code_line.Forced == 'true'}
              &nbsp;
              <a href = "javascript:void()" title = "{'ec_toggle_forced'|@translate}" onclick = "return ec_toggle_forced({$code_line.id});">
                <img class = "button" style = "border:none" src = "{$EVNTCATS_URLS.ROOT}icon/forced.png"
                 alt = "{'ec_url_forced'|@translate}" title = "{'ec_url_forced'|@translate}"/>
              </a>
            {else}
              &nbsp;
              <a href = "javascript:void()" title = "{'ec_toggle_forced'|@translate}" onclick = "return ec_toggle_forced({$code_line.id});">
                <img class = "button" style = "border:none" src = "{$EVNTCATS_URLS.ROOT}icon/nforced.png"
                 alt = "{'ec_url_nforced'|@translate}" title = "{'ec_url_nforced'|@translate}"/>
              </a>
              &nbsp;
              <a href = "javascript:void()" title = "{'ec_duplicate_entry'|@translate}" onclick = "return ec_duplicate_entry({$code_line.id});">
                <img src = "{$EVNTCATS_URLS.ROOT}icon/duplicate.png" class = "button" style = "border:none"
                 alt = "{'ec_url_duplicate'|@translate}" title = "{'ec_url_duplicate'|@translate}" />
              </a>
            {/if}
          {/if}
        </td>
      </tr>
    {/foreach}
  </table>
  
  {* <!-- This is not really a table, looks like a unique cell at the end of previous table,
  to show URL for currently selected line in above table --> *}
  <table class = "table2" width = "97%">
    <tr class = "row2">
      <td style = "text-align:center; padding-top:5px; padding-bottom:5px;">
        <label title = "{'ec_url_tooltip'|@translate}">
          {'ec_show_URL'|@translate}
          <input type = "text" id = "ec_show_URL" size = "100%" title = "{'ec_url_tooltip'|@translate}" readonly = "readonly" />
        </label>
      </td>
    </tr>
  </table><br>
  
  {* <!-- Parameters list --> *}
  <table style="border-spacing:30px" width = "97%">
    
    {* <!-- New entry --> *}
    <tr>
      <td>
        <label for = "selection--1" onclick = "ec_mark_line(-1);">
          <input type = "radio" name = "ec_entry_sel" value = "-1" id = "selection--1" onclick = "ec_mark_line(-1);" />
          <span style = "font-weight:bold; font-style:italic; font-size:120%; text-decoration:underline;">{'ec_create_modify_code'|@translate}</span>
        </label>
      </td>
      <td>
        <input class = "submit" type = "button" name = "ec_submit_gen_full_auto" value = "{'ec_new_full_auto'|@translate}"
         id = "ec_submit_gen_full_auto_id" onclick = "ec_gen_full_auto();" style = "margin-top:0;"
        /><br>
      </td>
    </tr>
    
    {* <!-- Code selection --> *}
    <tr>
      <td><strong><span onclick = "Test();">{'ec_new_entry'|@translate}</span></strong></td>
      <td>
        <input type = "text" name = "ec_in_up_code" maxlength = "32" size = "40"
         id = "ec_in_up_code_id" onclick = "ec_mark_line(-1);" onblur = "ec_new_code_text = this.value;"
        />
        &nbsp;
        <label for = "ec_in_up_code_id" style = "margin:0;">
          <input class = "submit" type = "button" name = "ec_submit_gen_code" value = "{'ec_new_entry_button'|@translate}"
           id = "ec_submit_gen_code_id" onclick = "ec_gen_code();" style = "margin:0;"
          />
        </label>
        {'ec_gen_code_nb_pre'|@translate}
        <select name = "ec_in_up_auto_code_length" id = "ec_in_up_auto_code_length_id" onchange = "ec_auto_code_digits_nb = this.value;">
          <option value = "4">4</option>
          <option value = "5">5</option>
          <option value = "8">8</option>
          <option value = "10" selected = "selected">10</option>
          <option value = "12">12</option>
          <option value = "15">15</option>
          <option value = "16">16</option>
          <option value = "20">20</option>
          <option value = "24">24</option>
          <option value = "25">25</option>
          <option value = "30">30</option>
          <option value = "32">32{'ec_gen_code_nb_max'|@translate}</option>
        </select>
        {'ec_gen_code_nb_end'|@translate}
      </td>
    </tr>
    
    {* <!-- User to identify --> *}
    <tr>
      <td style = "vertical-align:top;"><strong>{'ec_up_code_lbl_user'|@translate}</strong></td>
      <td>
      <li>
        {* <!-- None --> *}
        <label onclick = "ec_mark_user('ec_sel_user_none');">
          <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none"
           onclick = "ec_mark_user('ec_sel_user_none');"
          />
          {'ec_up_code_lbl_user_none'|@translate}
        </label><br>
      </li>
        
      <li>
        {* <!-- New user (to create) --> *}
        <label for = "ec_in_up_usr_txt_id" onclick = "ec_mark_user('ec_sel_user_new');">
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_txt_id" value = "new"
           id = "ec_sel_user_new" onclick = "ec_mark_user('ec_sel_user_new');"
          />
          {'ec_up_code_lbl_user_new'|@translate}
        </label>
        &nbsp;
        <input class = "submit" type = "button" name = "ec_submit_gen_user" value = "{'ec_up_code_lbl_gen_user'|@translate}"
         id = "ec_submit_gen_user_id" onclick = "ec_gen_user();"
        /><br>
        <ul><li>
          <label class = "ec_block">{'ec_new_user_name'|@translate}<br>
            <input type = "text" name = "ec_in_up_usr_txt" id = "ec_in_up_usr_txt_id" maxlength = "32"
             size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_user_text = this.value;"
            />
          </label>
          <label class = "ec_block">{'ec_new_user_pswd'|@translate}<br>
            <input type = "text" name = "ec_in_up_psd_txt" id = "ec_in_up_psd_txt_id" maxlength = "32"
             size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
            />
          </label>
          <label class = "ec_block">&nbsp;<br>
            <span style = "font-weight:bold; color:red;" id = "ec_in_up_pwd_warn">&nbsp;</span>
          </label>
          
        </li></ul><br>
      </li>
      
      <li>
        {* <!-- Known user --> *}
        <label for = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');">
          <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_list_id"
           value = "old" id = "ec_sel_user_old" onclick = "ec_mark_user('ec_sel_user_old');"
          />
          {'ec_up_code_lbl_user_old'|@translate}
        </label>
        <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');"
         onchange = "ec_selected_old_user = this.value;"
        >
          <option label = "------------" value = "-1" id = "ec_old_user_-1">------------</option>
          {foreach from=$ec_lists.user_ids key=ec_key item=ec_val name=opt_loop}
            <option label = "{$ec_val}" value = "{$ec_key}" id = "ec_old_user_{$ec_key}">{$ec_val}</option>
          {/foreach}
        </select><br>
      </li>
      </td>
    </tr>
    
    {* <!-- Page to display --> *}
    <tr>
      <td style = "vertical-align:top;"><strong>{'ec_up_code_lbl_action'|@translate}</strong></td>
      <td>
        
        {* <!-- Additionnal Page, provided the plugin is activated --> *}
        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_input_action_add_p');"
         {if !$ec_ap_ok}style = "display:none;"{/if}
        >
          <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" for = "ec_in_up_aps_id"
           onclick = "ec_mark_action('ec_input_action_add_p');"
          />
          {'ec_up_code_lbl_aps'|@translate}<br>
          <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id"
           onclick = "ec_mark_action('ec_input_action_add_p');" onchange = "ec_selected_AP = this.value;"
          >
            <option label = "------------" value = "-1" style = "display:none;">------------</option>
            {html_options options=$ec_lists.add_pages}
          </select>
        </label>
        
        {* <!-- Category --> *}
        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "ec_mark_action('ec_input_action_cat');">
          <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat" for = "ec_in_up_cats_id"
           onclick = "ec_mark_action('ec_input_action_cat');"
          />
          {'ec_up_code_lbl_cats'|@translate}<br>
          <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id"
           onclick = "ec_mark_action('ec_input_action_cat');" onchange = "ec_selected_cat = this.value;"
          >
            <option label = "------------" value = "-1" style = "display:none;">------------</option>
            {html_options options=$ec_lists.categories}
          </select>
        </label>
        
        {* <!-- Image --> *}
        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "ec_mark_action('ec_input_action_img');">
          <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" for = "ec_in_up_imgs_id"
           onclick = "ec_mark_action('ec_input_action_img');"
          />
          {'ec_up_code_lbl_img'|@translate}<br>
          <input type = "text" name = "ec_in_up_imgs" id = "ec_in_up_imgs_id" maxlength = "6"
           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "ec_mark_action('ec_input_action_img');"
          /><br>
          <span id = "ec_in_up_imgs_warn">&nbsp;</span>
        </label>
        
        {* <!-- Index page --> *}
        <label class = "ec_block" onclick = "ec_mark_action('ec_input_action_home');">
          <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home"
           onclick = "ec_mark_action('ec_input_action_home');"
          />
          {'ec_up_code_lbl_home'|@translate}
        </label>
      </td>
    </tr>
  </table>
</form>

{* <!-- JavaScript functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/evntcats_admin.js"></script>
<script type = "text/javascript">
  <!--
  
  // ec_test();
  
  ec_checked_URL[-1] = '';
  {foreach from=$code_list key=ec_key item=code_line name=code_loop}
    ec_checked_URL[{$ec_key}] = '{$code_line.code_URL}';
  {/foreach}
  
  ec_JS_message['ec_confirm_disable'] = "{'ec_confirm_disable'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_delete'] = "{'ec_confirm_delete'|@translate|@escape:javascript}";
  ec_JS_message['ec_confirm_test'] = "{'ec_confirm_test'|@translate|@escape:javascript}";
  ec_JS_message['ec_gen_user_act_miss'] = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_act_cat_miss'] = "{'ec_act_cat_miss'|@translate|@escape:javascript}";
  ec_JS_message['ec_new_pwd_gen'] = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
  
  ec_init();
  
  {literal}
  
  function Test() {                                                /*
    document.getElementById('ec_sel_user_none').checked = '';
    document.getElementById('ec_sel_user_new').checked = '';
    document.getElementById('ec_sel_user_old').checked = '';       */
  }
  
  //-->{/literal}
</script>

{* <!-- {$test0tpl} --> *}
{$test1tpl}
{$test2tpl}
{$test3tpl}

{* <!--
--> *}

{* Peut-être utile ?

Colonne "outils" :
Titre colonne :
Cellules :
          <td style = "text-align:center;">
          </td>

*}