﻿<?php

// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*****************************************************************************
Parameters ($ec_conf) :
 _ plugin activated ($ec_conf[0]) yes/no ;
 _ duplication allowance ($ec_conf[1]) :
   0 : no account ;
   1 : all accounts ;
   2 : no account but those specified ;    \
   3 : all accounts but those specified.   | could be different finally
 _ what to do in case an unknown code is used with "autolog" parameter
   ($ec_conf[2]) :
   0 : nothing ("goto" home page, index.php (not logged in of course)) ;
   1 : redirected to "access denied" page ;
   2 : redirected to an Additional Page precised below.
 _ the id of the Additional Page which must be used in case of usage of an
   unknow code ($ec_conf[3]).
*****************************************************************************/

global $ec_conf;

// $ec_conf initalization / check
if ($t = mysql_fetch_row(pwg_query("
 SELECT `value`
 FROM `".CONFIG_TABLE."`
 WHERE `param` = 'event_cats';
"))) {
  $ec_conf = explode(',' , $t[0]);
}
else {
  $ec_conf = explode(',' , '0,1,0,0');
  change_ec_conf('activated', 0);
}

/*
 * change_ec_conf($c, $v)
 * updates Event Cats configuration values in the database as well as in
 * $ec_conf.
 *
 * @param
 *   $c : conf value to update ;
 *   $v : value to give to $ec_conf[$c].
 * @return
 *   true or false whether the change was OK or not
 */
function change_ec_conf($c, $v) {
  global $ec_conf;
  switch ($c) {
    case 'activated':
      $d = 0;
    break;
    case 'dup_allow':
      $d = 1;
    break;
    case 'unknown_code':
      $d = 2;
    break;
    case 'unknown_code_ap_id':
      $d = 3;
    break;
    default: return false;
  }
  $ec_conf[$d] = $v;
  return pwg_query("
   UPDATE `".CONFIG_TABLE."`
   SET `value` = '".implode(',', $ec_conf)."'
   WHERE `param` = 'event_cats';
  ");
}

/*
 * read_ec_conf($c)
 * returns the value in $ec_conf using string keys.
 *
 * @param
 *   $c : conf value to update ;
 * @return
 *   $ec_conf value
 */
function read_ec_conf($c) {
  global $ec_conf;
  switch ($c) {
    case 'activated':
      return $d[0];
    break;
    case 'dup_allow':
      return $d[1];
    break;
    case 'unknown_code':
      return $d[2];
    break;
    case 'unknown_code_ap_id':
      return $d[3];
    break;
    default: return false;
  }
}

?>